libzypp: xml::Reader::Impl Class Reference

libzypp 17.36.6

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
xml::Reader::Impl Class Reference

## Public Member Functions
| Impl ()
| Impl (std::istream &input_r)

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Public Attributes
std::string | _name
Edition | _edition
std::string | _description
Date | _created
std::list< Entry > | _content

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

See also
  Reader

Definition at line 236 of file SysContent.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

xml::Reader::Impl::Impl | ( |  | ) |
| inline

Definition at line 239 of file SysContent.cc.

## ◆ Impl() [2/2]

xml::Reader::Impl::Impl | ( | std::istream & | input_r | ) |

Definition at line 377 of file SysContent.cc.

## Member Function Documentation

## ◆ nullimpl()

static shared_ptr< Impl > xml::Reader::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 254 of file SysContent.cc.

## ◆ clone()

Impl * xml::Reader::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 263 of file SysContent.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _name

std::string xml::Reader::Impl::_name

Definition at line 245 of file SysContent.cc.

## ◆ _edition

Edition xml::Reader::Impl::_edition

Definition at line 246 of file SysContent.cc.

## ◆ _description

std::string xml::Reader::Impl::_description

Definition at line 247 of file SysContent.cc.

## ◆ _created

Date xml::Reader::Impl::_created

Definition at line 248 of file SysContent.cc.

## ◆ _content

std::list<Entry> xml::Reader::Impl::_content

Definition at line 250 of file SysContent.cc.

The documentation for this class was generated from the following file:

- zypp/SysContent.cc